Get Individual Rate Limit for your Shield Zone
curl --request GET \
--url https://api.bunny.net/shield/rate-limit/{id}import requests
url = "https://api.bunny.net/shield/rate-limit/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bunny.net/shield/rate-limit/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"shieldZoneId": 123,
"userId": "<string>",
"ruleName": "<string>",
"ruleDescription": "<string>",
"ruleJson": "<string>",
"ruleConfiguration": {
"variableTypes": {
"REQUEST_URI": "<string>",
"REQUEST_URI_RAW": "<string>",
"ARGS": "<string>",
"ARGS_COMBINED_SIZE": "<string>",
"ARGS_GET": "<string>",
"ARGS_GET_NAMES": "<string>",
"ARGS_POST": "<string>",
"ARGS_POST_NAMES": "<string>",
"FILES_NAMES": "<string>",
"GEO": "<string>",
"REMOTE_ADDR": "<string>",
"QUERY_STRING": "<string>",
"REQUEST_BASENAME": "<string>",
"REQUEST_BODY": "<string>",
"REQUEST_COOKIES_NAMES": "<string>",
"REQUEST_COOKIES": "<string>",
"REQUEST_FILENAME": "<string>",
"REQUEST_HEADERS_NAMES": "<string>",
"REQUEST_HEADERS": "<string>",
"REQUEST_LINE": "<string>",
"REQUEST_METHOD": "<string>",
"REQUEST_PROTOCOL": "<string>",
"RESPONSE_BODY": "<string>",
"RESPONSE_HEADERS": "<string>",
"RESPONSE_STATUS": "<string>",
"FINGERPRINT": "<string>",
"VERIFIED_BOT_CATEGORY": "<string>"
},
"transformationTypes": [],
"value": "<string>",
"chainedRuleConditions": [
{
"variableTypes": {
"REQUEST_URI": "<string>",
"REQUEST_URI_RAW": "<string>",
"ARGS": "<string>",
"ARGS_COMBINED_SIZE": "<string>",
"ARGS_GET": "<string>",
"ARGS_GET_NAMES": "<string>",
"ARGS_POST": "<string>",
"ARGS_POST_NAMES": "<string>",
"FILES_NAMES": "<string>",
"GEO": "<string>",
"REMOTE_ADDR": "<string>",
"QUERY_STRING": "<string>",
"REQUEST_BASENAME": "<string>",
"REQUEST_BODY": "<string>",
"REQUEST_COOKIES_NAMES": "<string>",
"REQUEST_COOKIES": "<string>",
"REQUEST_FILENAME": "<string>",
"REQUEST_HEADERS_NAMES": "<string>",
"REQUEST_HEADERS": "<string>",
"REQUEST_LINE": "<string>",
"REQUEST_METHOD": "<string>",
"REQUEST_PROTOCOL": "<string>",
"RESPONSE_BODY": "<string>",
"RESPONSE_HEADERS": "<string>",
"RESPONSE_STATUS": "<string>",
"FINGERPRINT": "<string>",
"VERIFIED_BOT_CATEGORY": "<string>"
},
"value": "<string>"
}
]
},
"errorResponse": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"location": "<string>",
"value": null,
"formatters": [
{}
],
"contentTypes": [
"<string>"
],
"declaredType": "<string>",
"statusCode": 123
}{
"statusCode": 123
}Rate Limiting
Get Individual Rate Limit for your Shield Zone
GET
/
shield
/
rate-limit
/
{id}
Get Individual Rate Limit for your Shield Zone
Path Parameters
The ID of the Rate Limit
Response
OK
Last modified on June 26, 2026
Was this page helpful?
⌘I